dofile("scripts/entities/entityinclude.lua")

function init(me)
	setupEntity(me, "EnergyOrb")
	entity_setEntityType(me, ET_NEUTRAL)
	entity_setProperty(me, EP_MOVABLE, true)
	entity_setWeight(me, 300)
	entity_setCollideRadius(me, 32)	
	entity_setMaxSpeed(me, 450)
	entity_setColor(me, 1, 0, 0)
	entity_setName(me, "SacrificeVictim")
	if entity_isFlag(me, 1) then
		entity_delete(me)
	end	
end

function update(me, dt)
	entity_updateMovement(me, dt)
	--entity_updateCurrents(me)
end

function enterState(me)
end

function exitState(me)
end

function hitSurface(me)
end

function damage(me, attacker, bone, damageType, dmg)	
	return false
end

function activate(me)
end
